Bug 133480 - Refactor the srcset parser into its own file
: Refactor the srcset parser into its own file
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-03 09:05 PDT by Yoav Weiss
Modified: 2014-06-05 04:12 PDT (History)
6 users (show)

See Also:


Attachments
Patch (27.49 KB, patch)
2014-06-03 09:23 PDT, Yoav Weiss
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yoav Weiss 2014-06-03 09:05:22 PDT
Refactor the srcset parser into its own file
Comment 1 Yoav Weiss 2014-06-03 09:23:00 PDT
Created attachment 232429 [details]
Patch
Comment 2 Andreas Kling 2014-06-03 14:56:17 PDT
Comment on attachment 232429 [details]
Patch

Sure, r=me
Comment 3 WebKit Commit Bot 2014-06-03 15:07:10 PDT
Comment on attachment 232429 [details]
Patch

Rejecting attachment 232429 [details] from commit-queue.

yoav@yoav.ws does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 4 WebKit Commit Bot 2014-06-03 15:44:57 PDT
Comment on attachment 232429 [details]
Patch

Clearing flags on attachment: 232429

Committed r169573: <http://trac.webkit.org/changeset/169573>
Comment 5 WebKit Commit Bot 2014-06-03 15:45:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Darin Adler 2014-06-04 17:18:51 PDT
Comment on attachment 232429 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=232429&action=review

> Source/WebCore/html/parser/HTMLSrcsetParser.h:68
> +// Space characters as defined by the HTML specification.
> +bool isHTMLSpace(UChar);
> +bool isHTMLLineBreak(UChar);
> +bool isNotHTMLSpace(UChar);
> +bool isHTMLSpaceButNotLineBreak(UChar character);

Wait, what? We don’t need these functions in two different header files.
Comment 7 Darin Adler 2014-06-04 17:19:10 PDT
Comment on attachment 232429 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=232429&action=review

> Source/WebCore/html/parser/HTMLSrcsetParser.h:48
> +    String imageURL(const String& srcAttribute, const String& srcsetAttribute) const

This should take and return StringView.

> Source/WebCore/html/parser/HTMLSrcsetParser.h:68
> +// Space characters as defined by the HTML specification.
> +bool isHTMLSpace(UChar);
> +bool isHTMLLineBreak(UChar);
> +bool isNotHTMLSpace(UChar);
> +bool isHTMLSpaceButNotLineBreak(UChar character);

Wait, what
Comment 8 Yoav Weiss 2014-06-05 04:12:39 PDT
Both comments are resolved in a followup bug: https://bugs.webkit.org/show_bug.cgi?id=133504